&apt-author.jgunthorpe; &apt-author.team; &apt-email; &apt-product; 2013-11-30T00:00:00Z
apt-sortpkgs
1
APT

# apt-sortpkgs

Utility to sort package index files

&synopsis-command-apt-sortpkgs;

## Description

`apt-sortpkgs` will take an index file (source index or package index) and sort the records so that they are ordered by the package name. It will also sort the internal fields of each record according to the internal sorting rules.

All output is sent to standard output; the input must be a seekable file.

## options

&apt-cmdblurb;

`-s`
`--source`

  Use source index field ordering. Configuration Item: `APT::SortPkgs::Source`.

&apt-commonoptions;

## See Also

&apt-conf;

## Diagnostics

`apt-sortpkgs` returns zero on normal operation, decimal 100 on error.

&manbugs;